import { request } from '/@/utils/service';
import { UserPageQuery, AddReq, DelReq, EditReq, InfoReq } from '@fast-crud/fast-crud';
import { Session } from '/@/utils/storage';
export const apiPrefix = '/api/system/digital_human/';
export function GetList(query: UserPageQuery) {
	return request({
		url: apiPrefix,
		method: 'get',
		params: {...query,tenant_id:Session.get('tenant_id')},
	});
}
export function GetObj(id: InfoReq) {
	return request({
		url: apiPrefix + id,
		method: 'get',
	});
}

export function AddObj(obj: AddReq) {
	return request({
		url: '/api/system/digital_human/create',
		method: 'post',
		data: {...obj,tenant_id:Session.get('tenant_id')},
	});
}

export function UpdateObj(obj: EditReq) {
	return request({
		url:"/api/system/digital_human/update",// apiPrefix + obj.id + '/',
		method: 'post',
		data: {...obj,tenant_id:Session.get('tenant_id')},
	});
}

export function DelObj(id: DelReq) {
	return request({
		url: apiPrefix + id + '/',
		method: 'delete',
		data: { id, tenant_id:Session.get('tenant_id') },
	});
}
export function GetPermission() {
    return request({
        url: apiPrefix,
        method: 'get',
    });
}

/* 获取语音列表 */
export function GetVoiceList() {
    return request({
        url: '/api/system/digital_human/voice_types',
        method: 'get',
    });
}

/* 生成预览数字人 */
export function createDemo(obj:any) {
    return request({
        url: '/api/system/digital_human/generate_demo',
      	method: 'post',
		data: {...obj,tenant_id:Session.get('tenant_id')},
    });
}
